# for example host:port/json/create_game is a valid route if using the POST method
valid_post_routes = {
    'login',
    'register',
    'depot',
    'activate_key',
    'order', 'orders',
    'news',
    'trades',
    'trades_on',
    'orders_on',
    'old_orders',
    'cancel_order',
    'leaderboard',
    'tradables',
    'gift',
    'change_password',
    'global_variables',
    'buy_banking_license',
    'take_out_personal_loan',
    'repay_loan',
    'loans',
}

push_message_types = set()

upload_filtered = set()  # TODO enable upload filter again when accuracy improves

assert len(set(valid_post_routes)) == len(valid_post_routes)
assert upload_filtered.issubset(valid_post_routes)

# in the order in that they will be displayed by the help command
client_commands = ['help',
                   'summarize_bank_rules',
                   'summarize_loan_rules',
                   'login',
                   'register',
                   'change_pw',
                   'news',
                   'tradables',
                   'take_out_personal_loan',
                   'repay_loan',
                   'loans',
                   'depot',
                   'orders',
                   'orders_on',
                   'old_orders',
                   'trades',
                   'trades_on',
                   'buy',
                   'sell',
                   'cancel_order',
                   'gift',
                   'leaderboard',
                   'activate_key',
                   'exit',
                   'buy_banking_license', ]
